package cn.fw.dalaran.common.annotation;


import cn.fw.dalaran.common.exception.IgnoreLevel;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 接口缓存
 *
 * @author Devin
 * @date: 2018/12/5 11:23
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface IgnoreLog {
    /**
     * 忽略登记
     *
     * @return
     */
    IgnoreLevel level() default IgnoreLevel.NONE;
}
