package cn.fw.dalaran.common.domain.dto;

import lombok.Data;

import java.util.List;

/**
 * 人员快照参数
 *
 * @author: lym
 * @date: 2023/5/16
 */
@Data
public class StaffInfoDto {
    /**
     * 员工id
     */
    private Long staffId;
    /**
     * 员工名称
     */
    private String staffName;
    /**
     * 管理门店范围
     */
    private List<ShopInfoDto> shopRange;
    /**
     * 主题范围（）
     */
    private List<ThemeRange> range;

    /**
     * 主题范围
     */
    public static class ThemeRange {
        /**
         * 主题id
         */
        private Long themeId;
        /**
         * 当前所属门店
         */
        private List<ShopInfoDto> shopRange;
    }
}
