package cn.fw.dalaran.common.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统异常枚举
 *
 * @author Devin
 * @since 2018-12-04
 */
@Getter
@AllArgsConstructor
public enum ErrorEnum {

    SYSTEM_ERROR(-1, "系统异常"),
    PARAM_VALIDATE_ERROR(1001, "参数不正确"),
    AUTH_NOT_MATCH_ERROR(1002, "权限异常"),
    CONDITION_NOT_MATCH_ERROR(1003, "条件不满足异常"),
    THIRD_SYSTEM_API_ERROR(1004, "三方接口异常"),
    ;

    private final Integer value;
    private final String desc;
}
