package cn.fw.dalaran.dao.config;

import cn.fw.dalaran.domain.db.config.ActivityTheme;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/1/8 17:25
 * @Description
 */
@Mapper
public interface ActivityThemeDao extends BaseMapper<ActivityTheme> {

    /**
     * 获取已经逻辑删除的主题列表
     *
     * @return 已经逻辑删除的主题列表
     */
    List<ActivityTheme> getHasDelActivityTheme();
}
