package cn.fw.dalaran.domain.dto.activity;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/7/5 11:48
 * @Description 话题dto
 */
@Data
public class TopicDto {
    /**
     * 话题
     */
    @NotBlank(message = "话题不能为空")
    private String topic;
    /**
     * 是否强校验
     */
    private Boolean forcedCheck = false;
}
