package cn.fw.dalaran.domain.dto.common;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 员工门店修改
 */
@Data
public class ShopDto {
    /**
     * 门店id
     */
    @NotNull(message = "门店id不能为空")
    private Long shopId;
    /**
     * 门店名
     */
    @NotBlank(message = "门店名不能为空")
    @Length(max = 32,message = "门店名超过32限制长度")
    private String shopName;
}
