package cn.fw.dalaran.domain.dto.config;

import cn.fw.dalaran.domain.db.config.EvlIndex;
import cn.fw.dalaran.domain.db.config.EvlSubIndex;
import lombok.Data;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

/**
 * 指标配置参数
 *
 * @author wmy3969
 * @version 1.0
 * @date 2022/2/14 16:45
 */
@Data
@ToString(callSuper=true)
public class EvlJsonDto {
    /**
     * 指标类型
     */
    private EvlIndex evlIndex;

    /**
     * 指标子项
     */
    private List<EvlSubIndex> EvlSubItems;
}
