package cn.fw.dalaran.domain.dto.report.score;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 * 管理层快照参数
 *
 * @author: lym
 * @date: 2023/5/16
 */
@Data
public class ManagerDto {
    /**
     * 员工id
     */
    private Long staffId;
    /**
     * 员工名称
     */
    private String staffName;
    /**
     * 管理门店(K:themeId, V:管理门店id集合)
     */
    private Map<Long, Set<Long>> manageShops = new HashMap<>();
    /**
     * 主题范围(K:主题id, V:(v:门店id, v:门店人员id集合))
     */
    private Map<Long, Map<Long, Set<Long>>> range = new HashMap<>();
}
