package cn.fw.dalaran.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * 账号配置确认详情
 *
 * @author: lym
 * @date: 2023/4/20
 */
@Data
public class AccountConfirmDetailVo {
    /**
     * 账号
     */
    private String accountNo;
    /**
     * 账号名称
     */
    private String accountName;
    /**
     * 平台
     */
    private String platform;
    /**
     * 所属用户
     */
    private String staffName;
    /**
     * 所属门店
     */
    private String shopName;
    /**
     * 操作指南
     */
    private List<String> guideUrl;
}
