package cn.fw.dalaran.domain.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/3/30 9:37
 * @Description
 */
@Data
public class DisqualificationRecordVo {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 账号
     */
    private String account;
    /**
     * 作品匹配上的主题id
     */
    private Long themeId;
    /**
     * 平台类型(1:抖音, 2:快手, 3:懂车帝, 4:哔哩哔哩)
     */
    private Integer platformType;
    /**
     * 作品类型(1:短视频, 2:直播)
     */
    private Integer worksType;
    /**
     * 作品标题
     */
    private String worksTitle;
    /**
     * 作品id
     */
    private String worksId;
    /**
     * 作品创建时间/直播开始时间
     */
    private Date worksStartTime;
    /**
     * 直播结束时间
     */
    private Date worksEndTime;
    /**
     * 主题配置tag
     */
    private List<String> configTags;
    /**
     * 作品包含tags
     */
    private List<String> worksTags;
    /**
     * 作品封面url
     */
    private String worksCover;
    /**
     * 不合格原因
     */
    private String reason;
}
