package cn.fw.dalaran.domain.vo.account;

import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;

/**
 * 人员快照账号信息
 *
 * @author: LYM
 * @date: 2023/11/28 15:58
 */
@Data
public class AccountInfoVo {
    /**
     * 平台类型
     */
    private PlatformEnum type;
    /**
     * 账号id
     */
    private Long accountId;

    /**
     * 账号
     */
    private String account;

    /**
     * 账号类型(0:个人账号, 1:门店账号)
     */
    private Integer accountType;

    /**
     * 粉丝数
     */
    private Long fansNum;

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名称
     */
    private String userName;
}

