package cn.fw.dalaran.domain.vo.report;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/11 15:51
 * @Description 占比分析结果Vo
 */
@Data
public class RateAnalysisListVo {
    /**
     * 行数据id(销售顾问id, 门店id...)
     */
    private Long rowId;
    /**
     * 行数据名称(销售顾问名, 门店名...)
     */
    private String rowName;
    /**
     * 指标值
     */
    private Integer indexValue;
    /**
     * 占比(%)
     */
    private BigDecimal rate;
}
