package cn.fw.dalaran.domain.vo.report.live;

import lombok.Data;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/7/25 09:28
 * @Description 报表趋势图vo
 */
@Data
public class TrendVo<T> {
    /**
     * 所有项
     */
    private List<Single<T>> vos;

    @Data
    public static class Single<T> {
        /**
         * 索引
         */
        private Integer index;
        /**
         * 日期字符串
         */
        private String date;
        /**
         * 值
         */
        private T value;
    }
}
