package cn.fw.dalaran.domain.vo.report.score;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 主题得分
 *
 * @author: lym
 * @date: 2023/5/12
 */
@Data
public class ScoreSummaryVo {
    /**
     * 综合得分率
     */
    private BigDecimal i1 = BigDecimal.ZERO;

    /**
     * 直播综合得分率
     */
    private BigDecimal i2 = BigDecimal.ZERO;

    /**
     * 短视频综合得分率
     */
    private BigDecimal i3 = BigDecimal.ZERO;
}
