package cn.fw.dalaran.domain.vo.report.video;

import cn.fw.dalaran.domain.vo.report.UserFansCountVo;
import cn.fw.dalaran.domain.vo.report.score.WorksCompleteDetails;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 视频分析列表
 *
 * @author: lym
 * @date: 2023/5/8
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class VideoAnalysisVo extends VideoSummaryVo {
    /**
     * id
     */
    private String id;
    /**
     * 名称(门店名,销售顾问,管理层,平台类型名,无效原因)
     */
    private String name;
    /**
     * 用户粉丝
     */
    private UserFansCountVo userFans;
    /**
     * 综合得分
     */
    private BigDecimal score = BigDecimal.ZERO;
}
