package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.config.ValidConfigNew;
import cn.fw.dalaran.domain.vo.config.ValidConfigNewVo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022-02-15 12:37:25
 * @Description
 */
public interface ValidConfigNewService extends IService<ValidConfigNew> {
    /**
     * 自定义批量插入
     * 如果要自动填充，@Param(xx) xx参数名必须是 list/collection/array 3个的其中之一
     */
    int insertBatchSomeColumn(@Param("list") List<ValidConfigNew> list);

    /**
     * 自定义批量更新，条件为主键
     * 如果要自动填充，@Param(xx) xx参数名必须是 list/collection/array 3个的其中之一
     */
    int updateBatch(@Param("list") List<ValidConfigNew> list);

    /**
     * 查询集团直播/短视频配置
     *
     * @param configGroupId 所属配置组id
     * @param type          类型id
     * @return
     */
    ValidConfigNewVo queryList(Long configGroupId, Integer type);
}

