package cn.fw.dalaran.service.data.impl;

import cn.fw.dalaran.common.utils.PublicUtil;
import cn.fw.dalaran.dao.config.ConfigGroupDraftMapper;
import cn.fw.dalaran.domain.db.config.ConfigGroupDraft;
import cn.fw.dalaran.service.data.IConfigGroupDraftService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author: lym
 * @date: 2023/4/26
 */
@Service
public class ConfigGroupDraftServiceImpl extends ServiceImpl<ConfigGroupDraftMapper, ConfigGroupDraft> implements IConfigGroupDraftService {
    @Override
    public void removeByDraft(Long draftId) {
        if (PublicUtil.isNotEmpty(draftId)) {
            this.removeById(draftId);
        }
    }
}
