-- 2023*04-24
--account
ALTER TABLE account
    ADD COLUMN enable_analysis tinyint(4) COMMENT '平台账号配置确认状态 0新增 1得分异常 2已确认';
--config_group
ALTER TABLE config_group
    ADD COLUMN group_name varchar(128) COMMENT '配置组名称';
ALTER TABLE config_group
    ADD COLUMN shop_json text COMMENT '门店范围';
ALTER TABLE config_group
    ADD COLUMN status tinyint(2) COMMENT '配置组状态';
ALTER TABLE config_group
    ADD COLUMN yn tinyint(1) COMMENT '是否有效';
--evl_sub_index
ALTER TABLE evl_sub_index
    ADD COLUMN standard int(4) COMMENT '得分标准';
--activity_theme
ALTER TABLE activity_theme
    ADD COLUMN live_valid_times text COMMENT '最低直播有效次数';
ALTER TABLE activity_theme
    ADD COLUMN video_valid_times text COMMENT '最低视频有效次数';
ALTER TABLE activity_theme
    ADD COLUMN shop_json text COMMENT '门店范围';
ALTER TABLE activity_theme
    ADD COLUMN evl_config_json text COMMENT '指标配置缓存';
--video_pool
ALTER TABLE video_pool
    ADD COLUMN score decimal(10,4) COMMENT '单场得分';
ALTER TABLE video_pool
    ADD COLUMN score_cal_json text COMMENT '得分计算规则';
ALTER TABLE video_pool
    ADD COLUMN theme_score decimal(10,4) COMMENT '主题得分';
ALTER TABLE video_pool
    ADD COLUMN latest_record tinyint(1) COMMENT '是否最新数据';
ALTER TABLE video_pool
    ADD COLUMN collect_day varchar(32) COMMENT '数据日期';
--live_pool
ALTER TABLE live_pool
    ADD COLUMN score decimal(10,4) COMMENT '单场得分';
ALTER TABLE live_pool
    ADD COLUMN score_cal_json text COMMENT '得分计算规则';
ALTER TABLE live_pool
    ADD COLUMN theme_score decimal(10,4) COMMENT '主题得分';

--数据处理sql
update video_pool a join
    (select max(m1.id) id from video_pool m1 group by m1.video_id) as b on a.id = b.id
    set latest_record = 1;
update video_pool set latest_record = 0 where latest_record is null
                                          and id > 0 and id <=100000;
update video_pool set collect_day = date_sub(create_time, interval 1 day)
where id > 600000 and id <= 900000;