package cn.fw.dalaran.common.annotation;


import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 异常处理
 *
 * @author Devin
 * @date: 2018/12/5 11:23
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface UnitException {
    /**
     * 默认统一错误
     *
     * @return
     */
    String defaultError() default "操作异常";
}
