package cn.fw.dalaran.common.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * 报表指标趋势VO
 * <p>
 * create at 2019-12-26
 *
 * @author zhangjj
 */
@Data
public class NormTrendVO<T> {
    /**
     * 是否有我的趋势
     */
    private boolean hasMine;
    /**
     * 我的趋势
     */
    private List<NormTrendItemVO<T>> mine;
    /**
     * 团队趋势
     */
    private List<NormTrendItemVO<T>> team;
    /**
     * 标准趋势
     */
    private List<NormTrendItemVO<T>> standard;
}
