package cn.fw.dalaran.domain.dto;

import lombok.Data;

import java.util.List;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/3/29 11:41
 * @Description 新车销售管理层详情
 */
@Data
public class ManagerInfo {
    /**
     * 管理角色编码
     */
    private String roleCode;
    /**
     * 拥有该角色的人员详情列表
     */
    private List<RangeInfo> users;

    @Data
    public static class RangeInfo {
        /**
         * 用户id
         */
        private Long userId;
        /**
         * 用户名
         */
        private String userName;
        /**
         * 门店id
         */
        private Long shopId;
        /**
         * 门店名
         */
        private String shopName;
        /**
         * 管理门店列表
         */
        private List<Long> shopIds;
    }
}
