package cn.fw.dalaran.domain.dto.activity;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 活动主题列表查询参数
 *
 * @author: lym
 * @date: 2023/5/6
 */
@Data
public class ActivityQueryDto {
    /**
     * 配置组id
     */
    @NotNull(message = "所属配置组id不能为空")
    private Long configGroupId;
    /**
     * 主题名称
     */
    private String theme;
    /**
     * 话题
     */
    private String topic;
}
