package cn.fw.dalaran.domain.dto.activity;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 主题得分前置条件-粉丝最低要求
 *
 * @author: LYM
 * @date: 2023/12/8 16:37
 */
@Data
public class FansLimitDto {
    /**
     * 平台类型
     */
    @NotNull(message = "平台类型不能为空")
    private Integer platformType;
    /**
     * 平台类型
     */
    @NotNull(message = "平台名称不能为空")
    private String platformName;
    /**
     * 最低粉丝数
     */
    @NotNull(message = "最低粉丝数不能为空")
//    @Min(value = 1, message = "粉丝数要求不能低于1")
    private Integer minNum;
}

