package cn.fw.dalaran.domain.dto.config;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 配置组查询参数
 *
 * @author: lym
 * @date: 2023/4/25
 */
@Data
public class GroupQueryDto {
    /**
     * 配置组名称
     */
    private String configName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 是否查询草稿
     */
    @NotNull(message = "未执行列表查询类型")
    private Boolean draft;
}
