package cn.fw.dalaran.domain.dto.report.score;

import cn.fw.dalaran.domain.db.snapshot.ConsultantSnapshot;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * 人员快照参数
 *
 * @author: lym
 * @date: 2023/5/16
 */
@Data
public class PublisherDto {
    /**
     * 员工id
     */
    private Long staffId;
    /**
     * 员工名称
     */
    private String staffName;
    /**
     * 员工归属门店id
     */
    private Long shopId;
    /**
     * 主题范围（k:主题id,v:记录）
     */
    private Map<Long, ConsultantSnapshot> range = new HashMap<>();
}
