package cn.fw.dalaran.domain.enums.report;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/11 15:38
 * @Description 分析类型枚举
 */
@Getter
@AllArgsConstructor
public enum AnalysisTypeEnum {
    SHOP(1,"门店分析"),
    USER(2,"销顾分析"),
    PLATFORM(3,"平台分析"),
    RATE(4,"占比分析")
    ;

    private final Integer value;
    private final String desc;
}
