package cn.fw.dalaran.domain.param.report.score;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * 报表指标趋势查询参数
 * <p>
 * create at 2019-12-26
 *
 * @author zhangjj
 */
@Data
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class ScoreTrendParam extends ScoreBaseQueryParam {
    /**
     * 趋势类型 1主题得分率
     */
    @NotNull(message = "趋势类型不能为空")
    private Integer trendType;
}
