package cn.fw.dalaran.domain.vo.report.video;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 占比分析结果
 *
 * @author wmy3969
 * @version 1.0
 * @date 2023/5/11 15:51
 */
@Data
public class VideoRateAnalysisListVo {
    /**
     * 行数据id(销售顾问id, 门店id...)
     */
    private String id;
    /**
     * 行数据名称(销售顾问名, 门店名...)
     */
    private String name;
    /**
     * 指标值
     */
    private Integer indexValue = 0;
    /**
     * 占比(%)
     */
    private BigDecimal rate = BigDecimal.ZERO;
}
