package cn.fw.dalaran.server.config.mybatis;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author: lym
 * @date: 2023/5/26
 */
@Configuration
@MapperScan("cn.fw.dalaran.dao")
public class MybatisPlusConfig {

    /**
     * 自定义批量插入 SQL 注入器
     */
    @Bean
    public CustomBatchSqlInjector customBatchSqlInjector() {
        return new CustomBatchSqlInjector();
    }

}
