package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.config.EvlIndex;
import cn.fw.dalaran.domain.db.config.EvlSubIndex;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author kurisu
 * @date 2021-11-17 14:54
 * @description 评价指标service
 */
public interface EvlIndexService extends IService<EvlIndex> {
    /**
     * 自定义批量插入
     * 如果要自动填充，@Param(xx) xx参数名必须是 list/collection/array 3个的其中之一
     */
    int insertBatchSomeColumn(@Param("list") List<EvlIndex> list);

    /**
     * 自定义批量更新，条件为主键
     * 如果要自动填充，@Param(xx) xx参数名必须是 list/collection/array 3个的其中之一
     */
    int updateBatch(@Param("list") List<EvlIndex> list);
}
